import request from '@/utils/request'

// 查询分项类型管理列表
export function listSubentryType(query) {
  return request({
    url: '/ems/subentryType/list',
    method: 'get',
    params: query
  })
}

// 查询分项类型管理详细
export function getSubentryType(objid) {
  return request({
    url: '/ems/subentryType/' + objid,
    method: 'get'
  })
}

// 新增分项类型管理
export function addSubentryType(data) {
  return request({
    url: '/ems/subentryType',
    method: 'post',
    data: data
  })
}

// 修改分项类型管理
export function updateSubentryType(data) {
  return request({
    url: '/ems/subentryType',
    method: 'put',
    data: data
  })
}

// 删除分项类型管理
export function delSubentryType(objid) {
  return request({
    url: '/ems/subentryType/' + objid,
    method: 'delete'
  })
}
